DataBolsa docs
Referência da APIDados de mercadoFIIs

Distribuições (rendimentos) do FII

GET
/v1/fiis/{ticker}/distributions
AuthorizationBearer <token>

In: header

Path Parameters

tickerstring
Match^[A-Z][A-Z0-9]{3}[0-9]{0,2}$

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 1000
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/fiis/string/distributions?cursor=string&limit=100&from=string&to=string"
{
  "data": [
    {
      "ex_date": "string",
      "payment_date": "string",
      "value_per_share": 0,
      "tax_free": true
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}